<template>
  <div id="app">
    <TheHeader />
    <Navbar />
    <About />
    <Details />
    <Contact />
    <TheFooter />
  </div>
</template>

<script>
import TheHeader from "./components/sections/TheHeader.vue";
import Navbar from "./components/sections/Navbar.vue";
import About from "./components/sections/About.vue";
import Details from "./components/sections/Details.vue";
import Contact from "./components/sections/Contact.vue";
import TheFooter from "./components/sections/TheFooter.vue";

export default {
  name: "app",
  components: {
    Navbar,
    TheHeader,
    About,
    Details,
    Contact,
    TheFooter
  }
};
</script>

<style>
@import url("https://fonts.goog￼leapis.com/css?family=Bree+Serif");
@import url("https://fonts.googleapis.com/css?family=Handlee&display=swap");
@import url("https://fonts.googleapis.com/css?family=Delius&display=swap");
html {
  scroll-behavior: smooth;
}
:root {
  /* base colors */
  --white: #faf6ed;
  --black: #212121;

  /***** colors based on the logo *****/
  --l-primary: #3f9bf8; /**#5F9DBF;**/
  --l-complementar: #44b859;
  --l-black: #0e4a44;
  --l-light-gray: #f7efde;
  --l-dark-gray: #658c77;

  --l-primary-dark: #2c4857;
  --l-complementar-dark: #1f5429;
  --l-black-dark: #07221f;
  --l-light-gray-dark: #716d65;
  --l-dark-gray-dark: #2e4037;

  --l-primary-light: #99c0d6;
  --l-complementar-light: #88d195;
  --l-black-light: #658b88;
  --l-light-gray-light: #f9f4ea;
  --l-dark-gray-light: #9db5a8;
}

body {
  margin: 0;
  padding: 0;

  background-color: var(--l-light-gray-light);
  /* font-family: "Bree Serif", serif; */
  font-family: "Delius", cursive;
}
</style>
